<?php
/*
	database.php
	This file connects to the Sqlite database, and includes the Config file.
	You do not need to edit this file.
	
	-----------------------
	
	Copyright (c) 2011, Thijn
	All rights reserved.

	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions are met:
		* Redistributions of source code must retain the above copyright
		notice, this list of conditions and the following disclaimer.
		* Redistributions in binary form must reproduce the above copyright
		notice, this list of conditions and the following disclaimer in the
		documentation and/or other materials provided with the distribution.
		* Neither the name of WebStats nor the names of its contributors may
		be used to endorse or promote products derived from this software
		without specific prior written permission.
		
		
	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
	DISCLAIMED. IN NO EVENT SHALL JUPPI/LIBERTY UNLEASHED BE LIABLE FOR ANY
	DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
		
*/
	require( "config.php" );
	
	if ( $DBFile == "CHANGEME" ) die( "You did not edit the config file." );
	elseif ( !is_file( $DBFile ) ) die( "The specified database file has not been found. Please edit your config file." );
	elseif ( !in_array( "sqlite", PDO::getAvailableDrivers() ) ) die( "The sqlite PDO Driver has not been found on your server. Please contact your host to enable the Sqlite3 driver." );
	else
	{
		try {
			$database = new PDO('sqlite:'.$DBFile);
		}
		catch(PDOException $e)
		{
			die( "Eeek! We couldn't connect to the sqlite database. Error: " . $e->getMessage() );
		}
	}
?>