<?php
/*
	index.php
	The main file of WebStats. The user (probably) will start here.
	
	-----------------------
	
	Copyright (c) 2011, Thijn
	All rights reserved.

	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions are met:
		* Redistributions of source code must retain the above copyright
		notice, this list of conditions and the following disclaimer.
		* Redistributions in binary form must reproduce the above copyright
		notice, this list of conditions and the following disclaimer in the
		documentation and/or other materials provided with the distribution.
		* Neither the name of WebStats nor the names of its contributors may
		be used to endorse or promote products derived from this software
		without specific prior written permission.


	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
	DISCLAIMED. IN NO EVENT SHALL JUPPI/LIBERTY UNLEASHED BE LIABLE FOR ANY
	DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/
	require( "database.php" );
?>
<html>
<head>
<title><?php echo $ServerName; ?> - WebStats</title>

<link rel="stylesheet" href="style.css" type="text/css" media="screen" />

</head>
<body>
	<div class="header"><?php if ( !empty( $ServerLogo ) ) echo '<img src="'.$ServerLogo.'" />'; else echo '<h1>'.$ServerName.'</h1>'; ?></div>
	<div class="wrapper">
		<div class="content">
			<h2>Find Player</h2>
			<br/>
			<br/>
			<form action="player.php" method="POST">
				<input type="text" name="nick" placeholder="Please enter Full nickname"/><br/>
				<input type="submit" value="Search!" />
			</form>
		</div>
		<br style="clear:both" />
		<div class="content">
			<h2>Top 10</h2>
			<small>Top 10 Players based on Kills</small>
<?php
$sql = 'SELECT DISTINCT * FROM '.$StatsTable.' ORDER BY "'.$Fields['Kills'].'" DESC LIMIT 10';
$t = 1;
echo '			<table class="nice-table">
				<thead>
					<tr><td>#</td><td>Nickname</td><td>Kills</td></tr>
				</thead>
				<tbody>
';
foreach ($database->query($sql) as $row)
{
echo '<tr><td>'.$t.'</td><td><a href="player.php?nick='.$row[ $Fields['Nickname'] ].'">'.$row[ $Fields['Nickname'] ].'</a></td><td>'.$row[ $Fields['Kills'] ].'</td></tr>';
$t++;
}
echo '</table>
		</div>
';
?>
		<br style="clear:both" />
<?php
if ( $EnableWepStats )
{
foreach( $WepStatsShow as $Weapon )
{
echo '		<div class="content">
			<h2><i>'.$Weapon.'</i></h2>
			<small>Top 10 Players based on '.$Weapon.' Kills</small>
';
$sql = 'SELECT DISTINCT * FROM '.$WepStatsTable.' ORDER BY "'.$WepStatsFields[$Weapon].'" DESC LIMIT 10';
$t = 1;
echo '			<table class="nice-table">
				<thead>
					<tr><td>#</td><td>Nickname</td><td>Kills</td></tr>
				</thead>
				<tbody>
';
foreach ($database->query($sql) as $row)
{
echo '<tr><td>'.$t.'</td><td><a href="player.php?nick='.$row[ $WepStatsFields['Nickname'] ].'">'.$row[ $WepStatsFields['Nickname'] ].'</a></td><td>'.$row[ $WepStatsFields[ $Weapon ] ].'</td></tr>';
$t++;
}
echo '</table>
		</div>
';
}
}
?>
	</div>
	<div class="footer">
		--- &copy; 2011 Thijn - All rights reserved ---
	</div>
</body>
</html>